MODULE MOD_BOUND
  USE STATE
!
!FRS-zone arrays
!
  INTEGER LB
  PARAMETER (LB=7)
!
  REAL, DIMENSION(LB) :: ALPHA,ALPHAE
!
  REAL, DIMENSION(IM,JM) :: UAFRS,UATFRS,VAFRS,VATFRS, &
      & ETAFRS,ETATFRS,ETABFRS
  REAL, DIMENSION(IM,JM,KB) :: SFRS,TFRS,Q2FRS,Q2LFRS, &
      & UFRS,UTFRS,VFRS,VTFRS
!
! River values.
!
   LOGICAL RIVLOG
   INTEGER NUMC
   PARAMETER (NUMC=7)
   INTEGER, DIMENSION(NUMC) :: IRIVER,JRIVER,KRIVER1,KRIVER2,CODERIVER
   REAL, DIMENSION(NUMC) :: SRIVER,TRIVER,FRIVER,DZRIVER
!
! Tidal variables
!
   LOGICAL TIDE
   INTEGER KCON
   PARAMETER (KCON = 4)
   REAL FREQ(KCON)
   REAL, DIMENSION(IM,JM,KCON) :: ETATAMP,ETATPHA,UATAMP, &
       & UATPHA,VATAMP,VATPHA 
!
!  Atmospheric forcing variables
!
   LOGICAL WIND,ATMPRESS
   REAL, DIMENSION(IM,JM) :: WSPEEDU,WSPEEDV
!
END MODULE MOD_BOUND 
