SUBROUTINE NRG3D(EKIN,VOLUME,MASS,EETA)
USE STATE
IMPLICIT NONE
REAL EKIN,VOLUME,MASS,EETA
REAL RHOM 
INTEGER I,J,K
!
!Compute Volume, Potental energy 
!
VOLUME=0.
EKIN=0.
MASS = 0.
RHOM = 0.020000
EETA = 0.
DO I = 1,IM-1
  DO J = 1,JM-1
    IF (FSM(I,J).GT.0.) THEN
      VOLUME = VOLUME + D(I,J)
      EETA = EETA + ETA(I,J)*ETA(I,J)
      DO K = 1,KB-1
        MASS = MASS + (RHO(I,J,K)+RHOAVER+1000.)*D(I,J)*DZ(K)
      END DO
    ENDIF
    IF (DUM(I,J).GT.0.) THEN
      DO K = 1,KB-1
        EKIN = EKIN + 0.5*(RHO(I,J,K)+RHO(I+1,J,K)+2*RHOAVER+2000.)* &
        &            DZ(K)*DU(I,J)*U(I,J,K)*U(I,J,K)
      END DO
    ENDIF
    IF (DVM(I,J).GT.0.) THEN
      DO K = 1,KB-1
        EKIN = EKIN + 0.5*(RHO(I,J,K)+RHO(I,J+1,K)+2*RHOAVER+2000.)*  &
        &            DZ(K)*DV(I,J)*V(I,J,K)*V(I,J,K)
      END DO
    ENDIF
  END DO
END DO
VOLUME = VOLUME*DX*DY
EKIN = EKIN*0.5*DX*DY/VOLUME
MASS = DX*DY*MASS/VOLUME
EETA = EETA*0.5*GRAV*1025.*DX*DY/VOLUME
!
RETURN
END
