SUBROUTINE OUTETAFEM
USE MOD_MAIN
IMPLICIT NONE
REAL, DIMENSION(:,:), ALLOCATABLE :: NODES
INTEGER, DIMENSION(:,:), ALLOCATABLE :: ELEMENTS
INTEGER, DIMENSION(:,:,:), ALLOCATABLE :: CELLS
INTEGER MAXNODES,MAXEL
PARAMETER (MAXNODES=4*IM*JM , MAXEL = 2*IM*JM)
INTEGER NUMNODES,NUMEL
!
!
ALLOCATE (NODES(10,MAXNODES), ELEMENTS(MAXEL,4) , CELLS(0:IM+1,0:JM+1,4) )
NUMNODES = 0
NUMEL = 0
NODES = 0
ELEMENTS = 0
NODES = 0.
CELLS = 0.
!
!
DO I = 1,IM
  DO J = 1,JM
    IF (FSM(I,J).NE.0.) THEN
        CALL ADDETA(MAXNODES,MAXEL,NUMNODES,NUMEL,NODES,ELEMENTS,IM,JM,I,J,ETA, &
     &       U2,V2,RHO2,U5,V5,RHO5,CELLS)
    ENDIF
  END DO
END DO
DO I = 1,NUMNODES
  NODES(3,I) = NODES(3,I)/NODES(10,I)
  NODES(4,I) = NODES(4,I)/NODES(10,I)
  NODES(5,I) = NODES(5,I)/NODES(10,I)
  NODES(6,I) = NODES(6,I)/NODES(10,I)
  NODES(7,I) = NODES(7,I)/NODES(10,I)
  NODES(8,I) = NODES(8,I)/NODES(10,I)
  NODES(9,I) = NODES(9,I)/NODES(10,I)
END DO
!
WRITE(82,*)'ZONE T="',ISTEP,'" N=',NUMNODES,',E=',NUMEL,', F=FEPOINT, ET=QUADRILATERAL'
DO I = 1,NUMNODES
  WRITE(82,*)NODES(1,I),NODES(2,I),NODES(3,I),NODES(4,I),NODES(5,I),NODES(6,I),NODES(7,I),NODES(8,I),NODES(9,I)
END DO
WRITE(82,*)
DO I = 1,NUMEL
  WRITE(82,*)ELEMENTS(I,1),ELEMENTS(I,2),ELEMENTS(I,3),ELEMENTS(I,4)
END DO
    
!
DEALLOCATE (NODES,ELEMENTS,CELLS)
!
RETURN 
END
