MODULE STATE
  INTEGER IM,JM,KB
  PARAMETER (IM=33, JM=55, KB=32)
  INTEGER N2D,NDIVIS
  LOGICAL ADVTURB,SMAG,VISCPOM,UNESCO,FOURTH
!
! numpt: max number of ocean(wet) cells
! indu,indv,indc:  arrays with indices for u,v and center points
  PARAMETER(numpt=im*jm)
  INTEGER numup,numvp,numcp,numcp2
  INTEGER, DIMENSION(2,numpt) :: indu,indv,indc,indc2  
!
!1-D reals.
!
  REAL SPV,KHMIN,KMMIN
  REAL DX,DY,DT,GRAV,RHO0,CM,CM2D,CH,CD,Z0,RHOAVER,SAVER,TAVER,PMEAN,ROAIR
  REAL THETA2D,THETA3D
  PARAMETER (GRAV = 9.81 , RHO0=1025.0)
  PARAMETER (SPV = -32767.0, CD = 0.0025, Z0 = 0.01, PMEAN = 101300., ROAIR = 1.3)
!
!1-D real arrays.
!
  REAL, DIMENSION(KB) ::  Z,DZ,DZR,DZZ,ZZ
!
!2-D arrays
!
  REAL, DIMENSION(IM,JM) :: COR,FSM,DUM,DVM,    &
      & ETA,ETAP,H,HU,HV,D,DU,DV,WUSURF,WVSURF, &
      & SSURF,TSURF,WUBOT,WVBOT,CBC,PATM,AM2D,  &
      & UA,VA,HUSQR,HVSQR
!
!3-D arrays
!
  REAL, DIMENSION(IM,JM,KB) :: U,V,W,WR,S,T,RHO, &
      & AM,AH,KM,KH,KQ,DDZ,DUDZ,DVDZ,    &
      & UADV,VADV,Q2,Q2L,DELTAU,DELTAV
!
!2-D arrays appearing in version 3.0
!
  REAL, DIMENSION(IM,JM) :: DELETAI,DELETAE
!
!3-D arrays appearing in version 3.0
!
  REAL, DIMENSION(IM,JM,KB) :: UPREV,VPREV,SPREV,TPREV, &
      & DELUE,DELVE,DELSE,DELTE,DELUI,DELVI,DELSI,DELTI,WI,WE, &
      & UADVE,VADVE
!
END MODULE STATE 
